library fields.view;

import 'dart:async';
import 'dart:html';
import 'package:tags/tags.dart';
import 'package:tags/html.dart';
import 'model.dart';

part 'src/view/field_list_view.dart';
part 'src/view/field_view.dart';
part 'src/view/object_editor.dart';

bool _isCustomElementsRegistered = false;
void registerFieldsCustomElements() {
  if (!_isCustomElementsRegistered) {
    _isCustomElementsRegistered = true;
    dom = HTML;
    document.registerElement(FieldView.TAG, FieldView, extendsTag: 'div');
    document.registerElement(FieldListView.TAG, FieldListView, 
        extendsTag: 'div');
    document.registerElement(ObjectEditor.TAG, ObjectEditor, 
        extendsTag: 'div');
  }
}
